php5-imagick_3.1.0~rc1-1+b2_amd64.deb


Advertisement

Description

php5-imagick - ImageMagick module for php5

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main amd64
Package name php5-imagick
Package version 3.1.0~rc1
Package release 1+b2
Package architecture amd64
Package type deb
Installed size 472 B
Download size 130.69 KB
Official Mirror ftp.br.debian.org
This package provides a wrapper for ImageMagick library
directly from PHP scripts.
PHP5 is an HTML-embedded scripting language. Much of its syntax is borrowed
from C, Java and Perl with a couple of unique PHP-specific features thrown
in. The goal of the language is to allow web developers to write
dynamically generated pages quickly.

Alternatives

Package Version Architecture Repository
php5-imagick_5.4.45-1~dotdeb+7.1_amd64.deb 5.4.45 amd64 Dotdeb
php5-imagick_5.4.45-1~dotdeb+7.1_i386.deb 5.4.45 i386 Dotdeb
php5-imagick_5.4.44-1~dotdeb+7.1_amd64.deb 5.4.44 amd64 Dotdeb
php5-imagick_5.4.44-1~dotdeb+7.1_i386.deb 5.4.44 i386 Dotdeb
php5-imagick_3.1.0~rc1-1+b2_i386.deb 3.1.0~rc1 i386 Debian Main
php5-imagick - - -

Requires

Name Value
libc6 >= 2.2.5
libmagickcore5 >= 8:6.7.4.0
libmagickwand5 >= 8:6.7.4.0
php5-common -
phpapi-20100525 -
ucf -

Download

Type URL
Binary Package php5-imagick_3.1.0~rc1-1+b2_amd64.deb
Source Package php-imagick

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install php5-imagick deb package:
    # sudo apt-get install php5-imagick

Files

Path
/usr/lib/php5/20100525/imagick.so
/usr/share/doc/php5-imagick/CREDITS
/usr/share/doc/php5-imagick/changelog.Debian.gz
/usr/share/doc/php5-imagick/changelog.gz
/usr/share/doc/php5-imagick/copyright
/usr/share/doc/php5-imagick/examples/captcha.php
/usr/share/doc/php5-imagick/examples/polygon.php
/usr/share/doc/php5-imagick/examples/thumbnail.php
/usr/share/doc/php5-imagick/examples/watermark.php
/usr/share/php5-imagick/imagick.ini-dist

Changelog

2011-12-28 - Guillaume Delacour <gui@iroqwa.org>
php-imagick (3.1.0~rc1-1) unstable; urgency=low
[ Guillaume Delacour ]
* New upstream release
* debian/control: Add Vcs-{Browser,Git} field, point to pkg-php git repo
* debian/rules: export LDFLAGS and refresh ltmain.sh.patch
to pass -Wl,--as-needed flag to linker at right place (Closes: #652200)
[ Thomas Goirand ]
* Made examples work if the added Recommends: are installed.
2011-05-04 - Guillaume Delacour <gui@iroqwa.org>
php-imagick (3.0.1-1) unstable; urgency=low
* New upstream release
* Bump to Standards-Version 3.9.2 (no changes needed)
* debian/rules: delete "touch examples/ and CREDITS" to update timestamp
(fixed upstream)
2010-03-09 - Guillaume Delacour <gui@iroqwa.org>
php-imagick (3.0.0~rc1-1) unstable; urgency=low
* New upstream release (Closes: #524863, #570649, #573139)
* New maintainer (Closes: #530621)
* Change Build-Depends from libmagick9-dev to libmagickwand-dev
(Thanks Ivan Borzenkov)
* debian/rules:
+ Rewrite php5 oriented only, work in progress to adapt multi php version
+ Remove tarball mode rules
+ Fix generated path of debian/post{inst,rm} in clean rule
+ Delete "--with-regex" and "--disable-rpath" options (enabled by default)
in configure call (unrecognized options)
+ Delete lintian override (no-shlibs-control-file)
+ Touch examples/ and CREDITS in upstream tarball
(lintian package-contains-ancient-file rule)
+ Delete unnecessary patch rule
+ phpize5 --clean is now called in clean rule
+ Set CFLAGS to -Wl,--as-needed, to not link against some libX11
* Bump to Standards-Version 3.8.4 (move section from web to php)
* Bump to compatibility 7 in debian/{control,compat}
* debian/phpX-imagick.post{inst,rm}:
+ add "set -e" (instead of "#!/bin/sh -e")
+ comment loading on remove (Closes: #498150)
(Thanks Ivan Borzenkov)
* debian/imagick.ini: change comment style from "#" to ";"
(Closes: #563433, #566970, thanks Thijs Kinkhorst)
* debian/{changelog,copyright}: suppress unnecessary spaces
* Switch to dpkg-source 3.0 (quilt) format
* debian/watch: mangle version according Debian Policy 5.6.12
* debian/ltmain.patch: Patch to reorder linker argument after phpize
(From BTS#347650)
2008-03-25 - Jose Carlos Medeiros <debian@psabs.com.br>
php-imagick (2.1.1RC1-1) unstable; urgency=low
* New upstream release
* Added Depends ${shlibs:Depends}, now it put libmagick* dependence.
(Closes: #459874)
2007-12-12 - Jose Carlos Medeiros <debian@psabs.com.br>
php-imagick (2.1.0RC1-1) unstable; urgency=low
* New upstream release
* Standards-Version: 3.7.3
* Updated "Homepage:" pseudo-header as Reference 1.14.6.
* Fixed segfault on 64 archs caused by implicit pointer conversion.
(Closes: #425734)
* debian/copyright: Updated copyright holders. (closes: #453443)
2007-11-03 - Jose Carlos Medeiros <debian@psabs.com.br>
php-imagick (2.0.1-1) unstable; urgency=low
* New upstream release. (Closes: #445033)
* Package was reorganized to use cdbs and php5/conf.d. (Closes: #431337)
* debian/control:
removed "dpatch", "bison" and "flex" build dependence.
added "ucf" dependence.
* debian/rules: updated to complain with cdbs.
* debian/copyright: updated PHP License, version 3.01.
* debian/php5-imagick.postinst: updated to use ucf.
2007-09-21 - Jose Carlos Medeiros <debian@psabs.com.br>
php-imagick (2.0.0b3-1) unstable; urgency=low
* New upstream release

See Also

Package Description
php5-imap_5.4.45-0+deb7u2_amd64.deb IMAP module for php5
php5-interbase_5.4.45-0+deb7u2_amd64.deb interbase/firebird module for php5
php5-intl_5.4.45-0+deb7u2_amd64.deb internationalisation module for php5
php5-lasso_2.3.6-2_amd64.deb Library for Liberty Alliance and SAML protocols - PHP 5 bindings
php5-ldap_5.4.45-0+deb7u2_amd64.deb LDAP module for php5
php5-librdf_1.0.14.1-1_amd64.deb PHP5 language bindings for the Redland RDF library
php5-mapscript_6.0.1-3.2+deb7u2_amd64.deb php5-cgi module for MapServer
php5-mcrypt_5.4.45-0+deb7u2_amd64.deb MCrypt module for php5
php5-memcache_3.0.6-6_amd64.deb memcache extension module for PHP5
php5-memcached_2.0.1-6_amd64.deb memcached extension module for PHP5, uses libmemcached
php5-ming_0.4.4-1.1_amd64.deb Ming module for php5
php5-mysql_5.4.45-0+deb7u2_amd64.deb MySQL module for php5
php5-mysqlnd_5.4.45-0+deb7u2_amd64.deb MySQL module for php5 (Native Driver)
php5-odbc_5.4.45-0+deb7u2_amd64.deb ODBC module for php5
php5-pgsql_5.4.45-0+deb7u2_amd64.deb PostgreSQL module for php5
Advertisement
Advertisement